Subscription details
Get subscription details
scopes:
- admin:hooks
- read:hooks
Documentation Index
Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
9subscription id
Response
Subscription
Configuration for a webhook
account_add, account_update, account_store_add, account_store_update, account_store_delete, receipt_add, receipt_update, customer_add, customer_update, customer_delete, customer_change_password, token_add, token_remove, transaction, wallet_transaction, discount_add, discount_update, discount_delete, discount_add_customers, discount_customer_update, shopping_draft_add, shopping_draft_update, shopping_draft_complete, shopping_order_update, shopping_order_event_add, shopping_order_delete, settlement_add, location_add, location_delete, location_update, cdd_case_update, approval_payout_destination_update, approval_payout_destination_delete, checkout_authorization, checkout_transaction, checkout_token_add, checkout_token_update, checkout_token_delete An UUID that uniquely identifies the resource
The date-time when the resource was created
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The date-time when the resource was last updated
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
Determines whether the hook is actually triggered.
Limit the event data included in the delivery
The syntax is loosely based on XPath:
- a,b,c comma-separated list will select multiple fields
- a/b/c path will select a field from its parent
- a(b,c) sub-selection will select many fields from a parent
- a/*/c the star * wildcard will select all items in a field
"account(partner_id,account_id,created_at)"
Limit the event data included in the delivery
50["customer_ip", "billing_address"]